org.apache.lucene.luke.models.documents

## Class DocValues

- java.lang.Object
- - org.apache.lucene.luke.models.documents.DocValues

-     public final class DocValues
      extends Object

  Holder for doc values.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocValuesType` | `getDvType()` Returns the type of this doc values.
    `List<Long>` | `getNumericValues()` Returns the list of numeric values.
    `List<BytesRef>` | `getValues()` Returns the list of (string) values.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDvType

          public DocValuesType getDvType()

      Returns the type of this doc values.

    - #### getValues

          public List<BytesRef> getValues()

      Returns the list of (string) values.

    - #### getNumericValues

          public List<Long> getNumericValues()

      Returns the list of numeric values.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.